//
//  SkypePluginAuthRecv
//  SkypePlugin
//
//  Created by Brandon M. Holland on 18/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRCenteredMenuController.h>
#import "../Skype/SkypeConstants.h"

@interface SkypePluginAuthRecv : BRCenteredMenuController
{
	BRAdornedMenuItemLayer *addItem, *allowItem, *notAllowItem, *blockItem;
	BRImageControl *contactImage;
	BRTextControl *authLabel, *authName, *authMsg;
	NSMutableArray *items;
	NSString *authHandle, *authFullName, *authMessage;
	BOOL shouldAddContact;
}

- (id) initWithScene: (BRRenderScene *) scene forHandle: (NSString *) handle message: (NSString *) message;
- (void) dealloc;
- (void) willBePopped;
- (void) willBeExhumed;
- (long) itemCount;
- (id <BRMenuItemLayer>) itemForRow: (long) row;
- (NSString *) titleForRow: (long) row;
- (long) rowForTitle: (NSString *) title;
- (void) itemSelected: (long) row;

@end
