//
//  SkypePluginDialer.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 29/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRCenteredMenuController.h>
#import <BackRow/BRTextEntryControl.h>

@interface SkypePluginDialer : BRCenteredMenuController <BRTextEntryDelegate>
{
	BRAdornedMenuItemLayer *phoneItem, *callItem, *addItem;
	BRTextEntryControl *textEntry;
	BRHeaderControl *numberDisplay;
	NSMutableArray *items;
	NSString *numberHandle;
	BOOL isContact, canCall;
}
- (id) initWithScene: (BRRenderScene *) scene;
- (void) wasPopped;
- (void) dealloc;
@end
