//
//  SkypePluginHelper.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 18/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SkypeConstants.h"

@interface SkypePluginHelper : NSObject 
+ (NSString *) stringForSeconds: (int) seconds;
+ (NSString *) imageNameForStatus: (SkypeStatus) status;
+ (CGImageRef) loadCGImageFromBundle: (NSString *) imageName;
+ (BRTexture *) loadTextureFromBundle: (NSString *) imageName scene: (BRRenderScene *) scene;
@end
