//
//  SkypePluginUserInput.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 29/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRLayerController.h>
#import <BackRow/BRTextEntryControl.h>

@interface SkypePluginUserInput : BRLayerController <BRTextEntryDelegate>
{
	BRHeaderControl *header;
	BRTextEntryControl *textEntry;
	NSString *headerTitle, *defaultText;
	id parentSender;
}
- (id) initWithScene: (BRRenderScene *) scene sender: (id) sender 
	headerTitle: (NSString *) hTitle defaultTitle: (NSString *) dText;
- (void) wasPopped;
- (void) dealloc;
@end
