//
//  SkypePluginUserStatus.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 18/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRCenteredMenuController.h>
#import "../Skype/SkypeConstants.h"

@interface SkypePluginUserStatus : BRCenteredMenuController
{
	BRTextEntryControl *textEntry;
	BRAdornedMenuItemLayer *nameItem, *statusItem, *moodItem;
	NSMutableArray *items;
	NSString *userHandle, *userFullName, *userMood;
	SkypeStatus userStatus;
	BOOL waitingForUpdate;
}

- (id) initWithScene: (BRRenderScene *) scene;
- (void) dealloc;
- (void) willBePopped;
- (void) willBeExhumed;
- (long) itemCount;
- (id <BRMenuItemLayer>) itemForRow: (long) row;
- (NSString *) titleForRow: (long) row;
- (long) rowForTitle: (NSString *) title;
- (void) itemSelected: (long) row;
- (void) setNewFullName: (NSString *) newFullName;
- (void) setNewMood: (NSString *) newMood;

@end
