//
//  SkypePluginUserView.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 18/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRCenteredMenuController.h>
#import "../Skype/SkypeConstants.h"

@interface SkypePluginUserView : BRCenteredMenuController 
{
	BRAdornedMenuItemLayer *callItem, *chatItem, *smsItem, *profileItem, *blockItem, *removeItem;
	NSMutableArray *items;
	NSString *userHandle, *userFullName, *userMoodText;
	SkypeStatus userStatus;
	BOOL userBlocked;
}

- (id) initWithScene: (BRRenderScene *) scene forHandle: (NSString *) handle;
- (void) dealloc;
- (void) willBePopped;
- (void) willBeExhumed;
- (long) itemCount;
- (id <BRMenuItemLayer>) itemForRow: (long) row;
- (NSString *) titleForRow: (long) row;
- (long) rowForTitle: (NSString *) title;
- (void) itemSelected: (long) row;

@end
