//
//  SkypePluginContacts.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 15/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRCenteredMenuController.h>

@interface SkypePluginContacts : BRCenteredMenuController
{
	NSMutableArray *items;
	int skypeOutIndex;
}
- (id) initWithScene: (BRRenderScene *) scene;
- (void) dealloc;
- (void) willBePopped;
- (void) willBeExhumed;
- (long) itemCount;
- (id <BRMenuItemLayer>) itemForRow: (long) row;
- (NSString *) titleForRow: (long) row;
- (NSString *) handleForRow: (long) row;
- (long) rowForTitle: (NSString *) title;
- (long) rowForHandle: (NSString *) handle;
- (void) itemSelected: (long) row;

@end
