//
//  SkypePluginMainMenu.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 15/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRCenteredMenuController.h>
#import "../Skype/SkypeConstants.h"

@interface SkypePluginMainMenu : BRCenteredMenuController
{
	BRAdornedMenuItemLayer *currentUserItem, *balanceItem, *contactsItem, 
		*callPhonesItem, *transferItem, *historyItem, *settingsItem, *aboutItem;
	NSMutableArray *items;
	NSString *bridgeFullName, *bridgeMood, *bridgeBalance;
	SkypeStatus bridgeStatus;
	SkypeConnectStatus bridgeConnection;
	BOOL canUseBridge;
}

- (id) initWithScene: (BRRenderScene *) scene;
- (void) dealloc;
- (void) willBePopped;
- (void) willBeExhumed;
- (long) itemCount;
- (id <BRMenuItemLayer>) itemForRow: (long) row;
- (NSString *) titleForRow: (long) row;
- (long) rowForTitle: (NSString *) title;
- (void) itemSelected: (long) row;

@end
