//
//  SkypePluginSettings.h
//  SkypePlugin
//
//  Created by Brandon M. Holland on 18/01/08.
//  Copyright 2008 What a Nutbar Software. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <BackRow/BRCenteredMenuController.h>

@interface SkypePluginSettings : BRCenteredMenuController 
{
	BRAdornedMenuItemLayer *outputItem, *inputItem, *testItem;
	NSMutableArray *items;
	NSArray *outputArray, *inputArray;
	int outputIndex, inputIndex;
}

- (id) initWithScene: (BRRenderScene *) scene;
- (void) dealloc;
- (void) willBePopped;
- (void) willBeExhumed;
- (long) itemCount;
- (id <BRMenuItemLayer>) itemForRow: (long) row;
- (NSString *) titleForRow: (long) row;
- (long) rowForTitle: (NSString *) title;
- (void) itemSelected: (long) row;

@end
